#include <stdio.h>
#include <string.h>
#include <assert.h>
#include <sys/stat.h>

int main(int argc, char **argv) {
    struct stat s;
    if (stat("/etc/test.c", &s) != 0) {
        return 1;
    }

    printf("t = %lds, %ldns\n", s.st_mtim.tv_sec, s.st_mtim.tv_nsec);

    return 0;
}
